PartialResultException (Java SE 23 & JDK 23)
Description: declaration: module: java.naming, package: javax.naming, class: PartialResultException
Keywords: javax.naming.PartialResultException class

# Class PartialResultException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.PartialResultException

All Implemented Interfaces:
  `Serializable`

public class PartialResultException extends NamingException
This exception is thrown to indicate that the result being returned or returned so far is partial, and that the operation cannot be completed. For example, when listing a context, this exception indicates that returned results only represents some of the bindings in the context.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartialResultException()`
  Constructs a new instance of PartialResultException.
  `PartialResultException(String explanation)`
  Constructs a new instance of the exception using the explanation message specified.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartialResultException

    public PartialResultException(String explanation)
    Constructs a new instance of the exception using the explanation message specified. All other fields default to null.
    Parameters:
      `explanation` - Possibly null detail explaining the exception.

  - ### PartialResultException

    public PartialResultException()
    Constructs a new instance of PartialResultException. All fields default to null.